<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <script src="https://code.jquery.com/jquery-3.6.3.min.js"></script>

    <link rel="stylesheet" href="style/style.css" />
    <link rel="stylesheet" href="scss/style.scss" />

    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css"
    />

    <title>Gantt</title>
  </head>
  <body>
    <header class="container">
      <h1><i class="bi bi-bar-chart-steps"></i> Gantt Chart</h1>
    </header>

    <div class="container">
      <table class="table table-striped table-hover">
        <thead>
          <tr>
            <th class="hidden-radio"><i class="bi bi-check2-square"></i></th>
            <th class="position">Posizione</th>
            <th class="activity">Attività</th>
            <th class="date">Inizio</th>
            <th class="date">Fine</th>
            <th>Anno: 2023</th>
          </tr>
        </thead>

        <tbody class="table-body table-group-divider">
          <tr class="content-row drop-zone" id="content-1" draggable="true">
            <td class="hidden-radio">
              <input
                class="form-check-input"
                type="radio"
                id="select-row"
                name="select-row"
                checked
              />
            </td>
            <td class="position" id="position-1">1</td>
            <td class="activity" id="activity-1">Aquisizione Ordine</td>
            <td class="start" id="start-1">2007-03-07</td>
            <td class="finish" id="finish-1">2007-03-10</td>
            <td class="canvas-rect">
              <canvas
                class="chart-rect"
                id="chart-1"
                height="20"
                width="520"
              ></canvas>
            </td>
          </tr>
          <tr class="content-row drop-zone" id="content-2" draggable="true">
            <td class="hidden-radio">
              <input
                class="form-check-input"
                type="radio"
                id="select-row"
                name="select-row"
              />
            </td>
            <td class="position" id="position-2">2</td>
            <td class="activity" id="activity-2">Apertura Commessa</td>
            <td class="start" id="start-2">2007-03-07</td>
            <td class="finish" id="finish-2">2007-03-15</td>
            <td class="canvas-rect">
              <canvas
                class="chart-rect"
                id="chart-2"
                height="20"
                width="520"
              ></canvas>
            </td>
          </tr>
          <tr class="content-row drop-zone" id="content-3" draggable="true">
            <td class="hidden-radio">
              <input
                class="form-check-input"
                type="radio"
                id="select-row"
                name="select-row"
              />
            </td>
            <td class="position" id="position-3">3</td>
            <td class="activity" id="activity-3">Acquisto materie prime</td>
            <td class="start" id="start-3">2007-03-15</td>
            <td class="finish" id="finish-3">2007-05-01</td>
            <td class="canvas-rect">
              <canvas
                class="chart-rect"
                id="chart-3"
                height="20"
                width="520"
              ></canvas>
            </td>
          </tr>
        </tbody>
      </table>

      <div class="buttons">
        <button class="add-activity btn btn-primary">
          <i class="bi bi-calendar2-plus"></i> Aggiungi Attività
        </button>
        <button class="remove-activity btn btn-primary">
          <i class="bi bi-calendar2-x"></i> Rimuovi Attività
        </button>
        <button class="edit-activity btn btn-primary">
          <i class="bi bi-pencil-square"></i> Modifica Attività
        </button>
      </div>

      <div class="add-form">
        <div class="input">
          <label for="activity">Inserire l'attività da svolgere: </label>
          <input type="text" name="activity" id="activity-desc" required />
        </div>

        <div class="input">
          <label for="activity">Inserire la data di inzio: </label>
          <input type="date" name="start" id="activity-start" />
        </div>

        <div class="input">
          <label for="activity">Inserire la data prevista per la fine: </label>
          <input type="date" name="finish" id="activity-finish" />
        </div>

        <div class="input">
          <label for="activity">Scegli un colore per la tua attività: </label>
          <select name="color" id="activity-color">
            <option value="black">Nero</option>
            <option value="red">Rosso</option>
            <option value="blue">Blu</option>
            <option value="green">Verde</option>
          </select>
        </div>

        <div class="input">
          <button class="activity-btn btn btn-primary">
            Inserisci Attività
          </button>
          <button class="add-return-btn btn btn-primary">
            <i class="bi bi-arrow-return-left"></i> Ritorna al menù precedente
          </button>
        </div>
      </div>

      <div class="remove-form">
        <h3>Selezionare l'attività da rimuovere</h3>
        <div class="input">
          <button class="activity-btn-remove btn btn-primary">
            <i class="bi bi-calendar2-x"> </i>Rimuovi Attività
          </button>
          <button class="remove-return-btn btn btn-primary">
            <i class="bi bi-arrow-return-left"></i> Ritorna al menù precedente
          </button>
        </div>
      </div>

      <div class="edit-form">
        <div class="input input-edit-form">
          <label for="activity">Inserire l'attività da svolgere: </label>
          <input type="text" name="activity" id="edit-activity-desc" required />
        </div>

        <div class="input input-edit-form">
          <label for="activity">Inserire la data di inzio: </label>
          <input type="date" name="start" id="edit-activity-start" />
        </div>

        <div class="input input-edit-form">
          <label for="activity">Inserire la data prevista per la fine: </label>
          <input type="date" name="finish" id="edit-activity-finish" />
        </div>

        <div class="input input-edit-form">
          <label for="activity">Scegli un colore per la tua attività: </label>
          <select name="color" id="edit-activity-color">
            <option value="black">Nero</option>
            <option value="red">Rosso</option>
            <option value="blue">Blu</option>
            <option value="green">Verde</option>
          </select>
        </div>

        <div class="input">
          <button class="edit-btn btn btn-primary">
            <i class="bi bi-pencil-square"></i> Modifica Attività
          </button>
          <button class="edit-select-btn btn btn-primary" style="display: none">
            <i class="bi bi-pencil-square"></i>
            Modifica Attività Selezionata
          </button>
          <button class="edit-cancel-btn btn btn-primary" style="display: none">
            <i class="bi bi-arrow-counterclockwise"></i>
            Annulla Modifica
          </button>
          <button class="edit-return-btn btn btn-primary">
            <i class="bi bi-arrow-return-left"></i> Ritorna al menù precedente
          </button>
        </div>
      </div>

      <div class="delete-zone" style="display: none">
        <h3 class="delete-text">
          <i class="bi bi-basket"></i> Trascina qui per eliminare
        </h3>
      </div>
    </div>

    <script src="src/index.js"></script>
  </body>
</html>
